Subject: Re: Best place to put new envvars?
From: "Matthew O. Persico" <[email-masked]>
To: cygwin <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 07 Oct 2005 23:18:13 -0400

On Fri, 07 Oct 2005 19:12:30 -0700, David Rothenberger typed:
> On 10/7/2005 6:01 PM, Matthew O. Persico wrote:
>
>> I am sharing a Cygwin installation in a NetWare drive among a
>> number of developers.
>>
>> I want to put
>>
>> export CVSROOT=:pserver:[email-masked]:/home/cvs/repository
>>
>> in one profile that is run by everyone AND I don't want it
>> overwritten if I update Cygwin.
>>
>> Where's the best place to stash this?
>>
> Create a file in /etc/profile.d with a .sh extension. This will be
> executed by /etc/profile. It won't be overwritten even if
> /etc/profile
> is (which will happen unless you modify /etc/profile yourself).

DUH! Of course. I have a an elaborate profile.d setup on my Linux box - I should have known better.
Sorry for wasting the badnwidth..
--
Matthew O. Persico

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/